//
//  MediationPresenter.swift
//  sdk-demo-ios
//
//  Created by Smaato Inc on 03/03/2019.
//  Copyright © 2019 Smaato Inc. All rights reserved.
//

import Foundation
import MoPubSDK
import GoogleMobileAds

@objc class MediationPresenter: NSObject {

    var mopubModels: [MopubModel] = [
        MopubModel(moPubsize: .bannerSize, adType: .Banner, adUnitId: "d6cbf05660b44fbaa89909c3756f6657", name: "Banner"),
        MopubModel(moPubsize: nil, adType: .Interstitial, adUnitId: "1c01d618cbb74f7692109ca1176d9598", name: "Interstitial"),
        MopubModel(moPubsize: nil, adType: .Rewarded, adUnitId: "9e855bb8ab324c10852e5a8fc025c5fd", name: "Rewarded"),
        MopubModel(moPubsize: nil, adType: .Native, adUnitId: "ab961d353fef4e82b7ec9cae670fa383", name: "Native")
    ]
    
    var admobModels: [AdMobModel] = [
        AdMobModel(adMobsize: AdMobBannerSizes.bannerSize, adType: .Banner, adUnitId: "ca-app-pub-3774013871324317/2949807561", name: "Banner"),
        AdMobModel(adMobsize: nil, adType: .Interstitial, adUnitId: "ca-app-pub-3774013871324317/8893890078", name: "Interstitial"),
        AdMobModel(adMobsize: nil, adType: .Rewarded, adUnitId: "ca-app-pub-3774013871324317/9440684981", name: "Rewarded"),
        AdMobModel(adMobsize: nil, adType: .Native, adUnitId: "ca-app-pub-3774013871324317/5090737784", name: "Native")
    ]
}

